repo/gentoo:master commit in: dev-python/wrapt/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786681276.f5b64912cdb3e64d89a67686b4130e343ca3d02e.mgorny@gentoo>
commit:     f5b64912cdb3e64d89a67686b4130e343ca3d02e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 04:08:35 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 04:21:16 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f5b64912

dev-python/wrapt: Bump to 2.4.0_rc2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/wrapt/Manifest               |  2 ++
 dev-python/wrapt/wrapt-2.4.0_rc2.ebuild | 40 +++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/wrapt/Manifest b/dev-python/wrapt/Manifest
index b13654220118..55c64fbe9467 100644
--- a/dev-python/wrapt/Manifest
+++ b/dev-python/wrapt/Manifest
@@ -6,3 +6,5 @@ DIST wrapt-2.3.0.tar.gz 131509 BLAKE2B 6cbc4c7af17e1dbaccaa0c9999331fe7219b9bd8d
 DIST wrapt-2.3.0.tar.gz.provenance 10335 BLAKE2B f941e218d992f29ac5cf5027c17951f490482fdb7d3234faedde6d20e9a5ba54c290c66cd8d8bff336fd38c27cdb7573c3134891f0af206c508ce3339d8e2d6e SHA512 7e945775ace3936f825bd7f79b1bd58f2f0f8c40a2fc410e3ddfad18838fcbe0e35475f9af0240538fb3a76bbb257c02400b2d0db1375cb6539cd4bbf32ba1c4
 DIST wrapt-2.4.0rc1.tar.gz 137162 BLAKE2B 0611a54fb83b3dc8435608a20ecec4a7daed64999cf601c3b21576b8e35e77f11f1d83b9c2a3d8f7f6f131632f7ba9ee72b409628ba1288ff217df8315736983 SHA512 2d49bbf9343b6aeea7486a639ff5946e29f55a5fae41556f7df73fda6a4606ea2e30324c2f7429bb02be7be1035ae72a2d5c952e7a94807467b8f764b8cb8750
 DIST wrapt-2.4.0rc1.tar.gz.provenance 10066 BLAKE2B b5aa70a9ef9c10c0c23d4fab3b51371f280518ecfdf538a18ddae381d6bbf406bc118ea56755bad337230ab0f07ce43105144aab60fd520a99ab8e936fb681a2 SHA512 5205a78701662a5a35c312a8d3bd02c89b26de51df3e9fd0a7e9f4f3be99023e8d72790d5a3334b536b0e4aece15592a87b9419c643d28906b692f4b71624fec
+DIST wrapt-2.4.0rc2.tar.gz 158557 BLAKE2B c37e12d8c8ba8c0e338f5f8f5d21c4ae52309a31231fac3824b7a1af6c1e3ec4801bccb828b101f55be0bd7f7a0fcc3c37c5c4325585ed5c1f0c3e8ea1146932 SHA512 31c0abe5619c53921559dd85246a1447eb77a8aeadc13c87f388b453a786ef7f3272c576b7e330f51f7fbeafb0976370777e11fc70838395978b4cfc8b03b2aa
+DIST wrapt-2.4.0rc2.tar.gz.provenance 10068 BLAKE2B cd3a19d464c32439e833355da29c8e7aa2a5c709f1f39e80773b300a903e0e37c2aa2cb6e2dd61310d531ec5183d97c05a29f3258cec362d4539f2b1148ba26e SHA512 6505ba3ad4b2b3326b998b43242feaa33de4282a3bbd47ee947eabce1e5bc1c2c68f5686cc31f025dbfa94d206907745496f0f0ef747fdfcc96eb03902f50fea

diff --git a/dev-python/wrapt/wrapt-2.4.0_rc2.ebuild b/dev-python/wrapt/wrapt-2.4.0_rc2.ebuild
new file mode 100644
index 000000000000..e683309d8672
--- /dev/null
+++ b/dev-python/wrapt/wrapt-2.4.0_rc2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/GrahamDumpleton/wrapt
+PYTHON_COMPAT=( python3_{12..15} python3_{14,15}t )
+
+inherit distutils-r1 pypi
+
+MY_P=${P/_}
+DESCRIPTION="Module for decorators, wrappers and monkey patching"
+HOMEPAGE="
+	https://github.com/GrahamDumpleton/wrapt/
+	https://pypi.org/project/wrapt/
+"
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_rc* ]]; then
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+fi
+IUSE="+native-extensions"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+	distutils-r1_src_prepare
+
+	# skip mypy tests, they are fragile
+	rm -r tests/mypy || die
+}
+
+python_compile() {
+	local -x WRAPT_INSTALL_EXTENSIONS=$(usex native-extensions true false)
+	distutils-r1_python_compile
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.